unit TestModule;

interface

uses
    Myc.Aura.Module;

type
    TTestModule = class(TMycAuraNode, IAuraModule)
    private
        FId: Integer;
    public
        constructor Create(const AName: string; AId: Integer);
        procedure SetupWorkspace(const Workspace: IAuraWorkspace);
    end;

implementation

constructor TTestModule.Create(const AName: string; AId: Integer);
begin
    inherited Create(AName);
    FId := AId;
end;

procedure TTestModule.SetupWorkspace(const Workspace: IAuraWorkspace);
begin

end;

end.
